# Jabber Anwendung für Notfall-Informations- und -Nachrichten-Empfang

**HINWEIS:** Diese Anwendung ist experimentell! Ich übernehme keinerlei Haftung für Schäden, die mit der Verwendung des Bots im Zusammenhang stehen.

Ein Jabber-Bot, der Meldungen vom BBK an konfigurierte Accounts
weiterleitet. Die Daten stammen von [hier](https://warnung.bund.de/meldungen)
und umfassen das IHP, den DWD, das MoWaS und die BIWAPP.

JANINE ist ein Modul, welches im Kontext des Bot-Frameworks [mira](https://git.polynom.me/PapaTutuWawa/mira)
verwendet wird.

## Dependencies

JANINE benötigt

- `mira>=0.1.0`
- `requests>=2.24.0`

## Verwendung

Da JANINE ein Modul für [mira](https://git.polynom.me/PapaTutuWawa/mira) ist, wird dieses
wie vorgesehen einfach in der `config.toml` aktiviert.

```toml
# [...]

[[modules]]
name = "mira.modules.janine.janine"
# Diese Vier sind die gültigen Quellen
sources = ["IHP", "DWD", "MOWAS", "BIWAPP"]

# [...]
```

## Bugs

Bugs können an `papatutuwawa [at] polynom.me` gemeldet werden. Meinen GPG Schlüssel findet man
[hier](https://pki.polynom.me/pubkeys/papatutuwawa.pub).

## LIZENZ

JANINE unterliegt der GPLv3-Lizenz. Siehe `LICENSE`.
